package com.unis.crk.basic.service;

import com.unis.crk.basic.entity.ButtonInfo;
import com.unis.crk.basic.entity.RoleButton;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.crk.basic.entity.UserInfo;

import java.util.List;

/**
 * <p>
 * 角色按钮权限表 服务类
 * </p>
 *
 * @author ghh
 * @since 2021-09-26
 */
public interface IRoleButtonService extends IService<RoleButton> {

    List<String> queryByUser(String userId,String funcId);

    Boolean saveButton(String roleId, String[] btnIdList);

    void saveForList(String roleId, List<ButtonInfo> buttonList);
}
